Subject: RE: main != master at github.com/git/git

From: <[email-masked]>
Date: Wed, 16 Aug 2023 09:30:57 -0400

On Tuesday, August 15, 2023 10:24 PM, Jeff King wrote:
>On Tue, Aug 15, 2023 at 06:16:29PM -0400, Taylor Blau wrote:
>
>> > An alternative might be to exclude one of the branches in the
>> > workflow file, as per [1].
>>
>> I think that this should be relatively straightforward to do, and
>> would be preferable to dropping 'main'.
>
>That was my inclination, too, though I wonder if that might cause hassles for Git for
>Windows:
>
>  $ git ls-remote --symref https://github.com/git-for-windows/git HEAD
>  ref: refs/heads/main	HEAD
>  a67b85bf88ddbccae96714edb64d741ddfc3a1c9	HEAD
>
>I'm not sure how big a deal it would be in practice. Obviously they carry patches that
>are not in upstream git and could adjust the file themselves that way. But it might
>introduce extra friction, and in my experience changes to "meta" files like this can be
>a hassle, because you often want them independently on every branch (though in
>theory this one only matters for the "main" branch itself).
>
>So I won't say it's obviously a bad idea, but it might bear some thinking on what the
>ramifications would be for downstream.

Would it not be more convenient just to add a GitHub action that set main = master for each push?